package nl.voidcorp.discord.events

import net.dv8tion.jda.api.events.DisconnectEvent
import net.dv8tion.jda.api.hooks.ListenerAdapter
import nl.voidcorp.discord.logger
import org.springframework.stereotype.Service

@Service
class DisconnectListenerAdapter:ListenerAdapter() {
    override fun onDisconnect(event: DisconnectEvent) {
        logger.info("Client disconnected for some reason: ${event.closeCode?.meaning}")
    }
}